Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.transform
Interface OraTransformation

All Known Subinterfaces:
  OraBinningTransform, OraClippingTransform, OraNormalizeTransform, OraTextTransform

public interface OraTransformation

Base interface for defining a transformation object. All the transformation objects must inherit from this interface.

Method Summary
`java.lang.String[]` | `getExcludeColumnList()` Returns the columns that need to be excluded from the transformation.
`java.lang.String` | `getTransformInputData()` Returns the input data URI of the transformation.
`java.lang.String` | `getTransformOutputData()` Returns the output data URI.
`boolean` | `isOutputView()` Returns the flag indicating whether the transformation results will be kept as view or as a table
`void` | `setExcludeColumnList(java.lang.String[] excludeColumnList)` Sets the columns that need to be excluded from the transformation.
`void` | `setTransformInputData(java.lang.String dataURI)` Set the input data URI of the transformation.
`void` | `setTransformOutputData(java.lang.String dataURI)` Sets the output data URI of the transformation.

Method Detail

### getTransformInputData

    public java.lang.String getTransformInputData()

  Returns the input data URI of the transformation.
  Returns:
    String input data URI

### setTransformInputData

    public void setTransformInputData(java.lang.String dataURI)

  Set the input data URI of the transformation.
  Parameters:
    `dataURI` - input data URI

### getTransformOutputData

    public java.lang.String getTransformOutputData()

  Returns the output data URI.
  Returns:
    String output data URI

### setTransformOutputData

    public void setTransformOutputData(java.lang.String dataURI)

  Sets the output data URI of the transformation.
  Parameters:
    `dataURI` - ourput data URI

### setExcludeColumnList

    public void setExcludeColumnList(java.lang.String[] excludeColumnList)

  Sets the columns that need to be excluded from the transformation.
  Parameters:
    `excludeColumnList` - array of columns to exclude

### getExcludeColumnList

    public java.lang.String[] getExcludeColumnList()

  Returns the columns that need to be excluded from the transformation. If there is no exlusion list, it returns null.
  Returns:
    String[] array of columns to exclude

### isOutputView

    public boolean isOutputView()

  Returns the flag indicating whether the transformation results will be kept as view or as a table
  Returns:
    boolean `true` if view

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.